Solid Edge Framework Type Library
GetProjectsForGivenItemIDs Method

This is two dimensional array.

  1. First column represent the item ID which is in parameter in array.
  2. Second column represents the Project IDs which is out parameter we are going to get.
Projects out will be separated by semi comma (;).  E.g. say three projects namely 2000, 2020, 2012 in which item id 001234 is there. Then the output which we will get is 2000;2020;2012.
Description
Returns the projects for given ItemID.
Syntax
Visual Basic
Public Sub GetProjectsForGivenItemIDs( _
   ByRef pvarListOfItemIDsAndProjects As Variant _
) 
Parameters
pvarListOfItemIDsAndProjects

This is two dimensional array.

  1. First column represent the item ID which is in parameter in array.
  2. Second column represents the Project IDs which is out parameter we are going to get.
Projects out will be separated by semi comma (;).  E.g. say three projects namely 2000, 2020, 2012 in which item id 001234 is there. Then the output which we will get is 2000;2020;2012.
Remarks
When we are going to get the number of projects out, they will be separated by semicolon. For example, say three projects namely 2000, 2020, 2012 in which item id 001234 is there. Then the output which we will get is 2000;2020;2012.
Example
Option Explicit

Sub Example()
    Dim objApplication As SolidEdgeFramework.Application
    Dim objTCE As SolidEdgeFramework.SolidEdgeTCE
    Dim ItemIDAndProjectInfo(1, 1) As Variant
    
    Set objApplication = GetObject(, "SolidEdge.Application")
    Set objTCE = objApplication.SolidEdgeTCE

    ItemIDAndProjectInfo(0, 0) = "002262"
    ItemIDAndProjectInfo(0, 1) = ""
    ItemIDAndProjectInfo(1, 0) = "002359"
    ItemIDAndProjectInfo(1, 1) = ""

    Call objTCE.GetProjectsForGivenItemIDs(ItemIDAndProjectInfo)

    If Not objApplication Is Nothing Then
        Call objApplication.Quit
    End If
    
    Set objTCE = Nothing
    Set objApplication = Nothing
End Sub
See Also

SolidEdgeTCE Object  | SolidEdgeTCE Members  | Solid Edge ST3 - What's New